/*
* @license Apache-2.0
*
* Copyright (c) 2019 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

import isCircular = require( './index' );


// TESTS //

// The function returns a boolean...
{
	const obj = {
		'a': 'beep',
		'b': {
			'c': 'boop',
			'self': {}
		}
	};
	obj.b.self = obj;
	isCircular( obj ); // $ExpectType boolean

	const arr: Array<any> = [ 1, 2, 3 ];
	arr.push( arr );
	isCircular( arr ); // $ExpectType boolean

	isCircular( [] ); // $ExpectType boolean
}

// The compiler throws an error if the function is provided an unsupported number of arguments...
{
	isCircular(); // $ExpectError
	isCircular( [], 123 ); // $ExpectError
}
